%define rname alkimia
%define api 5
%define major 7
%define libname %mklibname %{rname} %{api} %{major}
%define develname %mklibname %{rname} -d

Summary:	Financial library
Name:		libalkimia
Version:	7.0.2
Release:	%mkrel 2
License:	LGPLv2+
Group:		Office
URL:		https://community.kde.org/Alkimia/libalkimia
Source0:	http://download.kde.org/stable/alkimia/%{version}/src/%{rname}-%{version}.tar.xz
#-------------------------------------
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64gmp-devel
BuildRequires: lib64gmpxx-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
#-------------------------------------

%description 
Financial library used by KMyMoney and Skrooge.

#-----------------------------------------------------------------------------

%package -n	%{libname}
Summary:	Financial library
Group:		System/Libraries
Obsoletes:	%{name} < 4.3.1
Provides:	%{name} = %{version}-%{release}

%description -n	%{libname}
Financial library used by KMyMoney and Scrooge.

%files -n %{libname}
%{_libdir}/%{name}%{api}.so.%{major}*

#-----------------------------------------------------------------------------

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/Libraries
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	gmpxx-devel
Obsoletes:	libalkimia-devel < 5.0.0

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/%{name}%{api}.so
%{_libdir}/pkgconfig/%{name}%{api}.pc
%{_includedir}/%{rname}/
%{_libdir}/cmake/LibAlkimia%{api}-*/
#-----------------------------------------------------------------------------

%prep
%setup -q -n %{rname}-%{version}

%build
%cmake_kf5
%make_build

%install
rm -rf %buildroot
%make_install -C build



%changelog
* Tue Oct 15 2019 tex - 7.0.2-2pclos2019
- rebuild against updates

* Tue Apr 17 2018 bb2 <bb2> - 7.0.2-1pclos2018
- new version

* Sat Mar 17 2018 bb2 <bb2> - 7.0.1-1pclos2018
- new version

* Fri Feb 23 2018 bb2 <bb2> - 7.0-1pclos2018
- import package for kmymoney 5.0


